\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-5.6,-1.5) rectangle (4.5,5.6);
\fill[line width=2.5pt,color=G3,fill=G3] (-5,5) -- (-5,3) -- (-2,3) -- cycle;
\fill[line width=2.5pt,color=A3,fill=A3] (-2,3) -- (4,3) -- (4,-1) -- cycle;
\draw[line width=2.5pt] (-4.576,3) -- (-4.576,3.424) -- (-5,3.424) -- (-5,3) -- cycle; 
\draw[line width=2.5pt] (3.576,3) -- (3.576,2.576) -- (4,2.576) -- (4,3) -- cycle; 
\draw [line width=2.5pt] (-5,5)-- (-5,3);
\draw [line width=2.5pt] (-5,3)-- (-2,3);
\draw [line width=2.5pt] (-2,3)-- (-5,5);
\draw [line width=2.5pt] (-2,3)-- (4,3);
\draw [line width=2.5pt] (4,3)-- (4,-1);
\draw [line width=2.5pt] (4,-1)-- (-2,3);
\begin{LARGE}
\draw[color=black] (-5.25,5.39) node {$M$};
\draw[color=black] (-5.25,2.75) node {$N$};
\draw[color=black] (-1.75,3.3) node {$O$};
\draw[color=black] (4.25,3.25) node {$A$};
\draw[color=black] (4.25,-1.25) node {$B$};
\end{LARGE}
\end{tikzpicture}
\end{document}